=== modified file 'ipecamera/events.c'
--- ipecamera/events.c	2012-10-22 22:52:38 +0000
+++ ipecamera/events.c	2013-03-26 16:32:07 +0000
@@ -139,7 +139,7 @@
     }
 
 retry:
-    if ((ctx->event_id - ctx->reported_id) > (ctx->buffer_size - IPECAMERA_RESERVE_BUFFERS)) ctx->reported_id = ctx->event_id - (ctx->buffer_size - 1) - IPECAMERA_RESERVE_BUFFERS;
+    if ((ctx->event_id - ctx->reported_id) > (ctx->buffer_size - IPECAMERA_RESERVE_BUFFERS)) ctx->reported_id = ctx->event_id - (ctx->buffer_size - 1 - IPECAMERA_RESERVE_BUFFERS);
     else ++ctx->reported_id;
 
     if (evid) *evid = ctx->reported_id;
@@ -152,9 +152,9 @@
 	else
 	    return PCILIB_ERROR_INVALID_ARGUMENT;
     }
-    
+
     if ((ctx->event_id - ctx->reported_id) >= ctx->buffer_size) goto retry;
-    
+
     return 0;
 }
 

=== added file 'tests/grabhw.sh'
--- tests/grabhw.sh	1970-01-01 00:00:00 +0000
+++ tests/grabhw.sh	2013-03-26 16:32:07 +0000
@@ -0,0 +1,20 @@
+#! /bin/bash
+
+function pci {
+    PCILIB_PATH="/root/pcitool"
+    LD_LIBRARY_PATH="$PCILIB_PATH" $PCILIB_PATH/pci $*
+}
+
+function enable_hw_trigger {
+    usleep 100000
+    pci -w control 0xa01
+}
+
+rm -f images.raw
+
+enable_hw_trigger &
+pid=$!
+
+echo "Starting the grabber"
+pci -g -o images.raw --run-time 60000000 --verbose 10 -o /dev/null
+wait $pid

